## haskell-pcre-light 0.4

=== tests/Makefile ===
all:
	ghc -Onot -fasm Unit.hs --make && ./Unit
#	runhaskell Unit.hs && echo $$?

test::
	ghc -ddump-simpl-stats -lpcre -fhpc --make -i.. -i../dist/build/ Unit.hs -o Unit -O2 -no-recomp
	rm -f *.tix
	./Unit 
	hpc report --decl-list       --exclude=Main Unit
	hpc markup --fun-entry-count --exclude=Main Unit

## haskell-pcre-light 0.3.1.1

=== debian/changelog ===
haskell-pcre-light (0.3.1.1-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:01:48 -0300

haskell-pcre-light (0.3.1.1-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:46 -0300

haskell-pcre-light (0.3.1.1-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Feb 2010 09:53:15 +0100

haskell-pcre-light (0.3.1-7) unstable; urgency=low

  [ Joachim Breitner ]
  * Remove copy’n’pasted dependencies

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Add libpcre3-dev to Depends:.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 17:11:06 -0200

haskell-pcre-light (0.3.1-6) unstable; urgency=low

  * Adopt by Debian Haskell Group 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 11 Feb 2010 21:58:49 +0100

haskell-pcre-light (0.3.1-5) unstable; urgency=low

  * Apply a workaround for the misformatted installed-pkg-config file which
    results an installation failure on some platforms (e.g. mips).  Thanks to
    Luca Falavigna for the patch.  Closes: #482079
  * Bump Standarts-Version to 3.8.0.

 -- Recai Oktaş <roktas@debian.org>  Sun, 13 Jul 2008 03:24:34 +0300

haskell-pcre-light (0.3.1-4) unstable; urgency=low

  * Fix dependency on ghc6 which lintian complains about.

 -- Recai Oktaş <roktas@debian.org>  Mon, 26 May 2008 04:15:51 +0300

haskell-pcre-light (0.3.1-3) unstable; urgency=low

  * Enhance package description.
  * Enhance copyright file.
  * New -prof packages compiled with profiling enabled.
  * Prefix source package name with haskell- in accordance with the current
    Haskell packaging practices.  Otherwise, pcre-light would be too generic
    (Thanks Joerg Jaspert for noticing me).

 -- Recai Oktaş <roktas@debian.org>  Tue, 12 Feb 2008 08:28:43 +0200

haskell-pcre-light (0.3.1-2) unstable; urgency=low

  * Remove bogus dependency on pandoc-doc.
  * Reword package description (thanks Christian Perrier and Steve Langasek).
  * Minor fixes in debian/rules.

 -- Recai Oktaş <roktas@debian.org>  Sun, 10 Feb 2008 08:06:53 +0200

haskell-pcre-light (0.3.1-1) unstable; urgency=low

  * Initial release.  Closes: #464901

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 20:33:08 +0200

=== debian/control ===
Source: haskell-pcre-light
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
  , haskell-devscripts (>= 0.7)
  , cdbs
  , ghc6
  , ghc6-prof
  , ghc6-doc
  , libpcre3-dev
Homepage: http://code.haskell.org/~dons/code/pcre-light
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-pcre-light/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-pcre-light

Package: libghc6-pcre-light-dev
Architecture: any
Depends: libpcre3-dev
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for Perl 5-compatible regular expressions
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 This package provides a library for the Haskell programming language.  See
 http://www.haskell.org/ for more information on Haskell.

Package: libghc6-pcre-light-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: pcre-light library with profiling enabled
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling.  See http://www.haskell.org/ for more information on Haskell.

Package: libghc6-pcre-light-doc
Replaces: haskell-pcre-light-doc (<< 0.3.1.1-2)
Conflicts: haskell-pcre-light-doc (<< 0.3.1.1-2)
Provides: haskell-pcre-light-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: library documentation for pcre-light
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 This package provides the documentation for a library for the Haskell
 programming language.  See http://www.haskell.org/ for more information on
 Haskell.

## haskell-pcre-light 0.4

=== debian/changelog ===
haskell-pcre-light (0.4-6) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:40 +0200

haskell-pcre-light (0.4-5) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:44 +0200

haskell-pcre-light (0.4-4) experimental; urgency=low

  * Depend on haskell-devscripts (>= 0.8.13), to ensure it is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 23:01:57 +0200

haskell-pcre-light (0.4-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 23:10:49 +0100

haskell-pcre-light (0.4-2) unstable; urgency=low

  * Adjust packaging copyright.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Apr 2011 11:17:05 +0530

haskell-pcre-light (0.4-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Apr 2011 15:27:13 +0530

=== debian/control ===
Source: haskell-pcre-light
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
  , haskell-devscripts (>= 0.8.15)
  , cdbs
  , ghc
  , ghc-prof
  , ghc-doc
  , libpcre3-dev
Homepage: http://code.haskell.org/~dons/code/pcre-light
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-pcre-light/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-pcre-light

Package: libghc-pcre-light-dev
Architecture: any
Depends: libpcre3-dev
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for Perl 5-compatible regular expressions${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: pcre-light library with profiling enabled${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-doc
Replaces: haskell-pcre-light-doc (<< 0.3.1.1-2)
Conflicts: haskell-pcre-light-doc (<< 0.3.1.1-2)
Provides: haskell-pcre-light-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: library documentation for pcre-light${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|pcre-light-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/pcre-light \
    ([\d\.]*\d)/

## haskell-pcre-light 0.4.0.3

=== debian/changelog ===
haskell-pcre-light (0.4.0.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:54 -0500

haskell-pcre-light (0.4.0.3-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:24 +0200

haskell-pcre-light (0.4.0.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:52:21 +0200

haskell-pcre-light (0.4.0.3-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 19:51:18 +0100

=== debian/control ===
Source: haskell-pcre-light
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libpcre3-dev,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/Daniel-Diaz/pcre-light
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-pcre-light-dev
Architecture: any
Depends: libpcre3-dev,
 ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell library for Perl 5-compatible regular expressions${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Provides: ${haskell:Provides},
Description: pcre-light library with profiling enabled${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-pcre-light-doc (<< 0.3.1.1-2),
Provides: haskell-pcre-light-doc,
Replaces: haskell-pcre-light-doc (<< 0.3.1.1-2),
Description: library documentation for pcre-light${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

## haskell-pcre-light 0.4.0.4

=== debian/changelog ===
haskell-pcre-light (0.4.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 04 Dec 2015 00:20:09 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  ghc,
  ghc-prof,
  libpcre3-dev,
+ pkg-config (>=0.9.0),
 Build-Depends-Indep: ghc-doc,
 Standards-Version: 3.9.6
 Homepage: https://github.com/Daniel-Diaz/pcre-light

=== debian/watch ===
version=3
http://hackage.haskell.org/package/pcre-light/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-pcre-light 0.4.1.0

=== debian/changelog ===
haskell-pcre-light (0.4.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 14 Jun 2020 14:50:24 -0400

haskell-pcre-light (0.4.0.4-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:17:18 +0300

haskell-pcre-light (0.4.0.4-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:00 -0400

haskell-pcre-light (0.4.0.4-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:24 -0400

haskell-pcre-light (0.4.0.4-2) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 13:17:19 -0400

=== debian/control ===
Source: haskell-pcre-light
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libpcre3-dev,
 pkg-config (>=0.9.0),
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/Daniel-Diaz/pcre-light
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-pcre-light
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-pcre-light]

Package: libghc-pcre-light-dev
Architecture: any
Depends: libpcre3-dev, ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for Perl 5-compatible regular expressions${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Provides: ${haskell:Provides}
Description: pcre-light library with profiling enabled${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

Package: libghc-pcre-light-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Conflicts: haskell-pcre-light-doc (<< 0.3.1.1-2)
Provides: haskell-pcre-light-doc
Replaces: haskell-pcre-light-doc (<< 0.3.1.1-2)
Description: library documentation for pcre-light${haskell:ShortBlurb}
 The PCRE library is a set of functions that implement regular expression
 pattern matching using the same syntax and semantics as Perl 5.  The library
 aims to be light, efficient and portable.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
https://hackage.haskell.org/package/pcre-light/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
